Subject: Re: [PATCH -next] staging: slicoss depends on NET

From: Randy Dunlap <[email-masked]>
Date: Thu, 17 Nov 2011 09:06:32 -0800

adding driver devel mailing list.

Greg- ping-  there are a lot of staging patches that need to be merged.

On 11/01/2011 02:43 PM, Randy Dunlap wrote:
> From: Randy Dunlap <[email-masked]>
> 
> The slicoss driver uses network interfaces so it should depend
> on NET.  Fixes the following build errors:
> 
> ERROR: "eth_change_mtu" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "eth_validate_addr" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "register_netdev" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "alloc_etherdev_mqs" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "__netif_schedule" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "netif_rx" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "eth_type_trans" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "skb_put" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "skb_pull" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "__alloc_skb" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "free_netdev" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "unregister_netdev" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "consume_skb" [drivers/staging/slicoss/slicoss.ko] undefined!
> ERROR: "dev_kfree_skb_irq" [drivers/staging/slicoss/slicoss.ko] undefined!
> 
> Signed-off-by: Randy Dunlap <[email-masked]>
> Cc: Lior Dotan <[email-masked]>
> Cc: Christopher Harrer <[email-masked]>
> ---
>  drivers/staging/slicoss/Kconfig |    2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> --- next-2011-1101.orig/drivers/staging/slicoss/Kconfig
> +++ next-2011-1101/drivers/staging/slicoss/Kconfig
> @@ -1,6 +1,6 @@
>  config SLICOSS
>  	tristate "Alacritech Gigabit IS-NIC support"
> -	depends on PCI && X86
> +	depends on PCI && X86 && NET
>  	default n
>  	help
>  	  This driver supports Alacritech's IS-NIC gigabit ethernet cards.
> --

-- 
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***